package com.eactive.eai.transformer.message.logger;


/**
 * 메시지 개별적인 로그내용을 성성하거나 로그를 남길 수 있는 기능을 제공해야 한다.
 */
public interface MessageLogger {
    public static final String DELIMITOR = new Character((char) 0x1F).toString();

    /**
     * 로그 메시지 생성
     */
    public String getLogMessage();

    /**
     * 로그 메시지 생성
     */
    public String getLogMessage(boolean ebcdic);

    /**
     * 로깅 처리
     */
    public void doLog();
}
